API ReferenceCarbon intensity level
Past
get
/v4/carbon-intensity-level/pastGet the carbon intensity level for a zone at a past datetime. Levels are classified on hourly data.
Query Parameters
zone optional
An Electricity Maps zone key.
Example: "DK-DK2"
datetime required
The datetime to get the data for. By default this needs to be the specific hour unless another temporal granularity is requested.
Format: ISO 8601 datetime
Example: "2024-05-19T03:00:00Z"
lat optional
Latitude of the location to get the data for.
Example: 41.877
lon optional
Longitude of the location to get the data for.
Example: -88.0703
disableCallerLookup optional
If true, the fallback IP-based zone lookup will not be performed.
Default: false
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/carbon-intensity-level/past?datetime=2024-05-19T03%3A00%3A00Z"{ "zone": "DK-DK2", "data": [ { "level": "low", "datetime": "2024-05-19T03:00:00.000Z" } ]}Playground
get
/v4/carbon-intensity-level/pastExplore the API with a 14-day trial.